Kerbal Space Program - Bug #2023

Tri-coupler doesn't work well with symmetry mode in SPH
01/07/2014 10:18 AM - moxian
Description

Go to SPH, create a craft of pod and tri-coupler underneath it. The default tri-coupler placement makes it "point to the sky" ().
Turn on symmetry mode.

Try to attach any "long" part (FL-T400 fuel tank and longer) to a bottom socket of tri-coupler. It won't be possible - the mirrored part
will be red.

Try to attach any "short" and "small" part (FL-T200, FL-T100, SC 9001, or any FL-T sized part). The mirrored part will be shown in
green, but it still won't connect. Also notice, that the mirrored part won't have "green connect-point ball" on the "bottom side".

Of course, all of those parts can be attached manually without symmetry mode.

Also, it is impossible to exit symmetry mode via hotkey (X or Shift-X) when the part is hovering over tri-coupler socket, which is not
only frustrating, but also consistent with, say bi-coupler.

Some screenshots attached.

History

#1-01/07/2014 10:21 AM - moxian

Disregard that remark about the absence of "green connect-point ball" - it turns out to be a normal behaviour for symmetric parts.

#2 - 01/07/2014 05:24 PM - moxian
- File screenshot4.png added

On a related note: if you go to VAB and using 3-symmetry mode connect 3 say, FL-T400 to a tri-coupler, save it as a subassembly, load it in SPH,
and attach something (say, FL-T200) to the side of it using SPH 2-symmetry mode (it is easily attachable), then the mirrored part will consist of two
identical ones occupying the same place with "moire texture" effect (screenshot4.png)

#3 - 01/08/2014 06:22 PM - TruePikachu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

This appears to be two different "bugs" in play, being a bug in the editors wrt part clipping detection, and the limitation that the SPH doesn't support
greater then 2-symmetry. | will elaborate on the former, since the latter seems a bit unrelated to the issue.

| frequently run into the problem in the VAB of parts clipping in symmetry modes when they technically shouldn't. | surmise it to be floating point
errors, but it can be worked around by changing views. It is an annoying bug at best, but it could potentially reach the point where a design can't be
built without permitting part clipping in debug.

Regarding your later observations, don't fully expect symmetry modes to behave as you would expect when you are using subassemblies. The two
editors use very different types of symmetry, which appears (to me) to be part of the subassembly itself.

#4 - 01/09/2014 01:13 PM - moxian

| understand what you are saying, but | still think my two issues are manifestation of the same thing, and it's not clipping.
| suppose, that tri-coupler forces tri-symmetry, while SPH only have 2-symmetry, so when trying to put things symmetrically, tri-coupler expects to
have three things when they are placed, but SPH provides only two. This way tri-coupler is unhappy, complains, and refuses to attach parts in a

"non-symmetric" way.

| believe it is unrelated to clipping, as it happens even with smallest of parts, that have NO way of clipping into each other when placed, and stick

perfectly in VAB. And, hey, they are even highlighted green in SPH!

#5 - 07/27/2015 06:05 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#6 - 07/17/2016 09:36 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 08/08/2016 12:53 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report h j

You can also ask questions about the bug cleanup in the forum here:

http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
